// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.GetArticleRequest}
 */
public  final class GetArticleRequest extends
    com.google.protobuf.GeneratedMessageLite<
        GetArticleRequest, GetArticleRequest.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.GetArticleRequest)
    GetArticleRequestOrBuilder {
  private GetArticleRequest() {
    articleId_ = "";
  }
  public static final int ARTICLE_ID_FIELD_NUMBER = 1;
  private java.lang.String articleId_;
  /**
   * <code>string article_id = 1 [json_name = "articleId"];</code>
   * @return The articleId.
   */
  @java.lang.Override
  public java.lang.String getArticleId() {
    return articleId_;
  }
  /**
   * <code>string article_id = 1 [json_name = "articleId"];</code>
   * @return The bytes for articleId.
   */
  @java.lang.Override
  public com.google.protobuf.ByteString
      getArticleIdBytes() {
    return com.google.protobuf.ByteString.copyFromUtf8(articleId_);
  }
  /**
   * <code>string article_id = 1 [json_name = "articleId"];</code>
   * @param value The articleId to set.
   */
  private void setArticleId(
      java.lang.String value) {
    java.lang.Class<?> valueClass = value.getClass();
  
    articleId_ = value;
  }
  /**
   * <code>string article_id = 1 [json_name = "articleId"];</code>
   */
  private void clearArticleId() {
    
    articleId_ = getDefaultInstance().getArticleId();
  }
  /**
   * <code>string article_id = 1 [json_name = "articleId"];</code>
   * @param value The bytes for articleId to set.
   */
  private void setArticleIdBytes(
      com.google.protobuf.ByteString value) {
    checkByteStringIsUtf8(value);
    articleId_ = value.toStringUtf8();
    
  }

  public static gg.dsepractice.chinese.v1alpha1.GetArticleRequest parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleRequest parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleRequest parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleRequest parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleRequest parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleRequest parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleRequest parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleRequest parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleRequest parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleRequest parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleRequest parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GetArticleRequest parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.GetArticleRequest prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.GetArticleRequest}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.GetArticleRequest, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.GetArticleRequest)
      gg.dsepractice.chinese.v1alpha1.GetArticleRequestOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.GetArticleRequest.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>string article_id = 1 [json_name = "articleId"];</code>
     * @return The articleId.
     */
    @java.lang.Override
    public java.lang.String getArticleId() {
      return instance.getArticleId();
    }
    /**
     * <code>string article_id = 1 [json_name = "articleId"];</code>
     * @return The bytes for articleId.
     */
    @java.lang.Override
    public com.google.protobuf.ByteString
        getArticleIdBytes() {
      return instance.getArticleIdBytes();
    }
    /**
     * <code>string article_id = 1 [json_name = "articleId"];</code>
     * @param value The articleId to set.
     * @return This builder for chaining.
     */
    public Builder setArticleId(
        java.lang.String value) {
      copyOnWrite();
      instance.setArticleId(value);
      return this;
    }
    /**
     * <code>string article_id = 1 [json_name = "articleId"];</code>
     * @return This builder for chaining.
     */
    public Builder clearArticleId() {
      copyOnWrite();
      instance.clearArticleId();
      return this;
    }
    /**
     * <code>string article_id = 1 [json_name = "articleId"];</code>
     * @param value The bytes for articleId to set.
     * @return This builder for chaining.
     */
    public Builder setArticleIdBytes(
        com.google.protobuf.ByteString value) {
      copyOnWrite();
      instance.setArticleIdBytes(value);
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.GetArticleRequest)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.GetArticleRequest();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "articleId_",
          };
          java.lang.String info =
              "\u0000\u0001\u0000\u0000\u0001\u0001\u0001\u0000\u0000\u0000\u0001\u0208";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.GetArticleRequest> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.GetArticleRequest.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.GetArticleRequest>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.GetArticleRequest)
  private static final gg.dsepractice.chinese.v1alpha1.GetArticleRequest DEFAULT_INSTANCE;
  static {
    GetArticleRequest defaultInstance = new GetArticleRequest();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      GetArticleRequest.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.GetArticleRequest getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<GetArticleRequest> PARSER;

  public static com.google.protobuf.Parser<GetArticleRequest> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

